Package io.vertx.oracleclient

## Class OraclePrepareOptions

- java.lang.Object
- - io.vertx.sqlclient.PrepareOptions
  - - io.vertx.oracleclient.OraclePrepareOptions

-     public class OraclePrepareOptions
      extends PrepareOptions

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `DEFAULT_AUTO_GENERATED_KEY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OraclePrepareOptions()` |
    `OraclePrepareOptions​(JsonObject json)` |
    `OraclePrepareOptions​(OraclePrepareOptions options)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OraclePrepareOptions` | `createFrom​(PrepareOptions prepareOptions)` | Creates a new instance of `OraclePrepareOptions` from the provided `PrepareOptions`.
    `JsonArray` | `getAutoGeneratedKeysIndexes()` |
    `boolean` | `isAutoGeneratedKeys()` |
    `OraclePrepareOptions` | `setAutoGeneratedKeys​(boolean autoGeneratedKeys)` |
    `OraclePrepareOptions` | `setAutoGeneratedKeysIndexes​(JsonArray autoGeneratedKeysIndexes)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_AUTO_GENERATED_KEY

          public static final boolean DEFAULT_AUTO_GENERATED_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OraclePrepareOptions

          public OraclePrepareOptions()

    - #### OraclePrepareOptions

          public OraclePrepareOptions​(OraclePrepareOptions options)

    - #### OraclePrepareOptions

          public OraclePrepareOptions​(JsonObject json)

  - ### Method Detail

    - #### createFrom

          public static OraclePrepareOptions createFrom​(PrepareOptions prepareOptions)

      Creates a new instance of `OraclePrepareOptions` from the provided `PrepareOptions`.
      Parameters:
        `prepareOptions` - an instance of `PrepareOptions`
      Returns:
        a copy of `prepareOptions` or `null` if `prepareOptions` is `null`

    - #### isAutoGeneratedKeys

          public boolean isAutoGeneratedKeys()

    - #### setAutoGeneratedKeys

          public OraclePrepareOptions setAutoGeneratedKeys​(boolean autoGeneratedKeys)

    - #### getAutoGeneratedKeysIndexes

          public JsonArray getAutoGeneratedKeysIndexes()

    - #### setAutoGeneratedKeysIndexes

          public OraclePrepareOptions setAutoGeneratedKeysIndexes​(JsonArray autoGeneratedKeysIndexes)

    - #### toJson

          public JsonObject toJson()

      Overrides:
        `toJson` in class `PrepareOptions`
      Returns:
        a JSON representation of these options

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PrepareOptions`